/*
 * Copyright (c) 2012, Oracle and/or its affiliates. All rights reserved.
 * ORACLE PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 *
 * $Id$
 */

package com.sun.ts.tests.jaxrs.spec.resource.locator;

import javax.ws.rs.MatrixParam;
import javax.ws.rs.POST;

public class SubResource {
	
	@MatrixParam("submatrix")
	private String submatrix;
	
	private String resmatrix;
	
	public SubResource(String resmatrix) {
		super();
		this.resmatrix = resmatrix;
	}

	@POST
	public LocatorEntity entity(){
		return new LocatorEntity(resmatrix, submatrix);
	}
	
}
